# Presentation summaries

In groups of two you will write up a detailed summary of another group's
presentation. Please sign up for a report slot by **Monday, September 9**; see
the [calendar](../schedule/lectures.md) for the topic and suggested papers for each
slot.

## Summary tips

- The summary should synthesize the main points in the presentation and in-class
  discussion, filling in gaps or elaborating on unclear points. Do not simply
  transcribe verbatim what everyone said during class.
- You may have to refer to the source papers to clear up some details, but the
  report should be primarily focused on what was presented: this will be both
  more and less than what was in the original papers. These are not paper
  summaries; they are presentation summaries.
- You will need to take detailed notes, or even make an audio recording.
- If you have questions, the best time to ask is **during the presentation**.
- See [here](http://www.cs.columbia.edu/~djhsu/coms6998-f17/instructions.html#instructions-for-scribe) for more on summaries.
- See [here](http://www.cs.columbia.edu/~djhsu/coms6998-f17/scribe.html) for common things to watch for as you prepare your reports.

I will then work with you to polish the notes and then upload them to
Canvas---submit something that you would be proud for your classmates to see!

## FAQ

- **When are summaries due?**

Within **one week** of the presentation, while the details are still fresh in
your mind.

- **How should we type up summaries?**

Notes should be typed up neatly in LaTeX using this
[template](../resources/summary-template.tex). You may make additional macros if
needed, but try to stick to what is there.

- **How should we turn in summaries?**

Share your summary with me by sending a link to
[ShareLaTeX](https://sharelatex.com).  Note that you can work on the summary in
some other environment, then copy to ShareLaTeX if you prefer.

- **How long should summaries be?**

There is no set length, but the summary should be detailed enough for a reader
to reconstruct most of what happened during the presentation in a fair amount of
detail.

- **What should I do if I don't know LaTeX?**

Try to find a partner who does know LaTeX, or you will need to get up to speed
with tutorials (e.g., [here](https://www.overleaf.com/learn/latex/Learn_LaTeX_in_30_minutes)).
